Summary:	Default configuration for LXDE
Name:		lxde-common
Version:	0.99.2
Release:	3
License:	GPL v2
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	14a9d19c4576dc15d985453ccb8ca9f6
Patch0:		session.patch
URL:		http://www.lxde.org/
Requires:	ConsoleKit
Requires:	fonts-TTF-DejaVu
Requires:	openbox
Requires:	xorg-app-xprop
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
lxde-common package provides a set of default configuration for LXDE.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%dir /etc/xdg/lxpanel
%dir /etc/xdg/lxpanel/LXDE
%dir /etc/xdg/lxpanel/LXDE/panels
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/lxpanel/LXDE/config
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/lxpanel/LXDE/panels/panel
%dir /etc/xdg/openbox
%dir /etc/xdg/openbox/LXDE
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/openbox/LXDE/menu.xml
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/openbox/LXDE/rc.xml
%dir /etc/xdg/lxsession
%dir /etc/xdg/lxsession/LXDE
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/lxsession/LXDE/autostart
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/lxsession/LXDE/desktop.conf
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/pcmanfm/LXDE/pcmanfm.conf
%attr(755,root,root) %{_bindir}/lxde-logout
%attr(755,root,root) %{_bindir}/openbox-lxde
%attr(755,root,root) %{_bindir}/startlxde
%{_datadir}/lxde
%{_mandir}/man1/lxde-logout*
%{_mandir}/man1/openbox-lxde*
%{_mandir}/man1/startlxde*
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/applications/lxde-screenlock.desktop
%{_datadir}/xsessions/LXDE.desktop
